eggdrop(1)

NAME
eggdrop - an IRC bot

SYNOPSIS
eggdrop [options] [config-file]

DESCRIPTION
Eggdrop is the World's most popular Internet Relay Chat (IRC) bot; it is freely distributable under the GNU General Public License (GPL). Eggdrop is a feature rich program designed to be easily used and expanded upon by both novice and advanced IRC users on a variety of hardware and software platforms.

An IRC bot is a program that sits on an IRC channel and performs automated tasks while looking just like a normal user on the channel. Some of these functions include protecting the channel from abuse, allowing privileged users to gain op or voice status, logging channel events, providing information, hosting games, etc.

One of the features that makes Eggdrop stand out from other bots is module and Tcl scripting support. With scripts and modules, you can make the bot perform almost any task you want. They can do anything from preventing floods to greeting users and banning advertisers from channels.

You can also link multiple Eggdrop bots together to form a botnet. This can allow bots to op each other securely, control floods efficiently, and even link channels across multiple IRC networks. It also allows the Eggdrops share user lists, ban lists, exempt/invite lists, and ignore lists with other bots if userfile sharing is enabled. This allows users to have the same access on every bot on your botnet. It also allows the bots to distribute tasks such as opping and banning users. See doc/BOTNET for information on setting up a botnet.

Eggdrop needs a config file to run. For an example, have a look at eggdrop.conf which is distributed with Eggdrop.

OPTIONS

-h  Display a list of command-line options.

-n  Don't background. Normally, Eggdrop will move itself into the background when you start it up, meaning you'll get another shell prompt, and you can do other things while the bot is running. With -n, you won't return to the shell prompt until the bot exits (which won't normally happen until it's killed). By default, -n will send all log entries to the console.

-nt Don't background, use terminal. This is just like -n, except that instead of seeing log entries, your console will simulate a DCC chat with the bot.

-nc Don't background, show channel info. This is just like -n, except that instead of seeing log entries, every 10 seconds your screen will clear and you will see the current channel status, sort of like "top".

-m  Create userfile. If you don't have a userfile, this will make Eggdrop create one and give owner status to the first person that introduces himself or herself to it. You'll need to do this when you first set up your bot.

-v  Show version info, then quit.

SIGNALS

SIGCHLD
    This signal is ignored by Eggdrop and can be used to determine whether it's running or not.

SIGTERM
    Depending on die-on-sigterm being set to 0 or 1 in the config file, Eggdrop will save its user and channel file and/or die.

SIGHUP
    Depending on die-on-sighup being set to 0 or 1 in the config file, Eggdrop will rehash (reload its config file) or die.

ENVIRONMENT VARIABLES

EGG_LANG
    This variable can be set to the language in which you want Eggdrop to speak
     to you. It defaults to English, but German, French, Finnish, and Danish are supported, too.

EGG_LANGDIR
    Specifies the directory where all your language files are stored. The default is ./language.

SEE ALSO
tclsh(1), irc(1), ircII(1), ircd(8)

There is extensive online documentation. Once you get the bot running, open a DCC chat with it, and type: .help

In addition, the files in the doc/ directory provide detailed information about how Eggdrop works and how to use it.

AUTHORS
Written by Robey Pointer, the Eggheads Development Team and various others. See the files AUTHORS for a list of Eggdrop developers and major contributors, THANKS for a full list of Eggdrop contributors, and the doc/Changes files for a list of changes made to each version of Eggdrop.

REPORTING BUGS
See doc/BUG-REPORT.

Bugs can either be reported directly to BugZilla, at http://bugzilla.eggheads.org, or via e-mail to <bugs@eggheads.org>.

COPYRIGHT
Copyright (C) 1997 Robey Pointer
Copyright (C) 1999 - 2011 Eggheads Development Team

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.